<template>
    <h1>SPARQL Editor ({{ dataset }})</h1>
    <iframe class="query-window" :src="'/yasgui-' + dataset + '.html'" />
</template>

<script lang="ts">
import { Vue, prop } from 'vue-class-component';

class Props {
    dataset = prop({
        type: String,
        required: false,
        default: 'data',
    });
}

export default class SparqlEditor extends Vue.with(Props) {}
</script>

<style>
.query-window {
    height: calc(100vh - 180px);
    width: 100%;
    border: none;
}
</style>
